@font-face {
	font-family: 'Local Noto Sans JP';
	src: local('Noto Sans JP');
}

.kochi-archive-area {
	--kochi-interview-tab-active-text-color: #fff;
	--kochi-interview-tab-active-background-color: #004ea2;
}

[data-theme='blue-theme'] .kochi-archive-area {
	--kochi-interview-tab-active-text-color: #004ea2;
	--kochi-interview-tab-active-background-color: #e1efff;
}

[data-theme='black-theme'] .kochi-archive-area {
	--kochi-interview-tab-active-text-color: #000;
	--kochi-interview-tab-active-background-color: #f8f8f8;
}

.kochi-archive-area .kochi-archive-nav {
	padding-inline: 24px;
	overflow-y: auto;
}

.kochi-archive-area .kochi-archive-nav > ul {
	margin-block: 0;
	padding-inline-start: 0;
	display: flex;
	align-items: flex-end;
	gap: 8px;
	position: relative;
	z-index: 1;
}

.kochi-archive-area .kochi-archive-nav > ul::before {
	content: '';
	position: absolute;
	left: 0;
	z-index: 1;
	bottom: 0;
	width: 100%;
	height: 1px;
	background-color: var(--kochi-interview-tab-active-background-color);
}

.kochi-archive-area .kochi-archive-nav > ul > li {
	flex-shrink: 0;
	padding-block: 0;
	padding-inline-start: 0;
	display: flex;
	align-items: flex-end;
	font-size: var(--font-size-small);
}

.kochi-archive-area .kochi-archive-nav > ul > li::before {
	content: '';
	box-sizing: content-box;
	position: relative;
	top: auto;
	bottom: 0;
	left: -1px;
	display: block;
	width: 1px;
	height: calc(1.6em + 2px);
	background-color: transparent;
	translate: 0;
}

.kochi-archive-area .kochi-archive-nav > ul > li > a {
	border: 1px solid var(--element-anchor-color);
	border-top-right-radius: 8px;
	border-top-left-radius: 8px;
	display: block;
	color: var(--text-color);
	font-feature-settings: 'pwid' on;
	font-weight: 700;
	text-decoration: none;
}

.kochi-archive-area .kochi-archive-nav > ul > li > a:hover,
.kochi-archive-area .kochi-archive-nav > ul > li > a:active,
.kochi-archive-area .kochi-archive-nav > ul > li > a:focus-visible {
	color: var(--kochi-interview-tab-active-text-color);
	background-color: var(--kochi-interview-tab-active-background-color);
}

.kochi-archive-area .kochi-archive-nav > ul > li > a.is-active {
	border-color: var(--kochi-interview-tab-active-background-color);
	color: var(--kochi-interview-tab-active-text-color);
	background-color: var(--kochi-interview-tab-active-background-color);
	cursor: default;
	pointer-events: none;
}

@media screen and (max-width: 1024px) {

	.kochi-archive-area .kochi-archive-nav {
		padding-block: 12px;
	}

	.kochi-archive-area .kochi-archive-nav > ul {
		-moz-column-gap: 2px;
		column-gap: 2px;
	}

	.kochi-archive-area .kochi-archive-nav > ul > li::before {
		padding-block: 12px;
	}

	.kochi-archive-area .kochi-archive-nav > ul > li > a {
		padding-block: 8px;
		padding-inline: 16px;
	}

	.kochi-archive-area .kochi-archive-nav > ul > li > a.is-active {
		padding-block: 12px;
	}
}

@media screen and (min-width: 1025px) {

	.kochi-archive-area .kochi-archive-nav {
		padding-block: 32px;
	}

	.kochi-archive-area .kochi-archive-nav > ul {
		-moz-column-gap: 4px;
		column-gap: 4px;
	}

	.kochi-archive-area .kochi-archive-nav > ul > li::before {
		padding-block: 16px;
	}

	.kochi-archive-area .kochi-archive-nav > ul > li > a {
		padding-block: 12px;
		padding-inline: 24px;
	}

	.kochi-archive-area .kochi-archive-nav > ul > li > a.is-active {
		padding-block: 16px;
	}
}
